Start Registration
curl --request POST \
--url https://api.mintfax.com/v1/account/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com"
}
'import requests
url = "https://api.mintfax.com/v1/account/register"
payload = {
"name": "<string>",
"email": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', email: 'jsmith@example.com'})
};
fetch('https://api.mintfax.com/v1/account/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "jsmith@example.com",
"message": "<string>",
"expires_in": 123
}{
"error": "validation_failed",
"message": "The request failed validation.",
"action": "fix_request",
"docs": "https://mintfax.com/docs/errors/validation-failed",
"context": {
"errors": {
"to": [
"The to field is required."
],
"file": [
"The file field is required."
]
}
}
}{
"error": "internal_server_error",
"message": "An unexpected error occurred. Please retry; if the problem persists, contact support.",
"action": "retry_or_contact_support",
"docs": "https://mintfax.com/docs/errors/internal-server-error"
}Account
Start Registration
Begins the account registration flow. Sends a 6-digit activation code to the provided email address. The code is valid for 15 minutes.
Submit the code to POST /account/register/verify to complete registration
and receive your API key.
This endpoint does not require authentication.
POST
/
account
/
register
Start Registration
Authorizations
API key as Bearer token. Use an account key (mfx_acct_...) for
/account/* endpoints, and an environment key (mfx_test_... for
sandbox, mfx_live_... for live) for /environment/*, /faxes,
/webhooks, and /events.
Body
application/json
Response
RegistrationInitiatedResource
Last modified on May 21, 2026
⌘I